var BaseListItem = function(){
return {
view: function(vnode){
var lens = vnode.attrs.lens;
return m('tr', [
            m('td', [ // Base
              m('.form-group', [
                m('select.form-select', [
                  m('option', {value: '2'}, 'Base 2'),
                  m('option', {value: '4'}, 'Base 4'),
                  m('option', {value: '6'}, 'Base 6'),
                  m('option', {value: '8'}, 'Base 8')
                  ])
                ])
              ]),
            m('td', [ // Add
              m('.form-group', [
                m('select.form-select', [
                  m('option', {value: '1.00'}, '1.00'),
                  m('option', {value: '1.25'}, '1.25'),
                  m('option', {value: '1.50'}, '1.50'),
                  m('option', {value: '1.75'}, '1.75'),
                  m('option', {value: '2.00'}, '2.00'),
                  m('option', {value: '2.25'}, '2.25'),
                  m('option', {value: '2.50'}, '2.50'),
                  m('option', {value: '2.75'}, '2.75'),
                  m('option', {value: '3.00'}, '3.00')
                  ])
                ])
              ]),
            m('td', [ // Material
              m('.form-group', [
                m('select.form-select', [
                  m('option', {value: 'cr39'}, 'CR39'),
                  m('option', {value: 'ft'}, 'F/T'),
                  m('option', {value: 'kriptok'}, 'Kriptok'),
                  m('option', {value: 'progressive'}, 'Progressive')
                  ])
                ])
              ]),
            m('td', [ // AR Coating
              m('.form-group', [
                m('label.form-checkbox', [
                  m('input', {type: 'checkbox', checked: false}),
                  m('i.form-icon')
                  ]),
                ])
              ]),
            m('td', [ // Photochromatic
              m('.form-group', [
                m('select.form-select', [
                  m('option', {value: ''}, 'None'),
                  m('option', {value: 'photogray'}, 'Photogray'),
                  m('option', {value: 'photobrown'}, 'Photobrown')
                  ])
                ])
              ]),
            m('td', '$3'), // Price
            m('td', [ // Quantity
              m('.form-group.input-group', [
                m('input.form-input', {
                  type: 'text',
                  value: '0'
                  }),
                m('button.btn.btn-primary.input-group-btn', [
                  m('i.icon.icon-delete')
                  ])
                ])
              ])
            ]);
}
};
};

export default BaseListItem;